Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.monitor.model
Class StatusImpl

    java.lang.Object
      org.apache.jmeter.monitor.model.StatusImpl

All Implemented Interfaces:
  Status

    public class StatusImpl

extends Object
implements Status

Version:
  $Revision: 915405 $

Constructor Summary
`StatusImpl()`

Method Summary
`void` | `addConnector(Connector conn)`
`List<Connector>` | `getConnector()`
`String` | `getConnectorPrefix()`
`Jvm` | `getJvm()`
`void` | `setConnectorPrefix(String prefix)`
`void` | `setJvm(Jvm vm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusImpl

    public StatusImpl()

Method Detail

### getJvm

    public Jvm getJvm()

  Specified by:
    `getJvm` in interface `Status`

### setJvm

    public void setJvm(Jvm vm)

  Specified by:
    `setJvm` in interface `Status`

### getConnector

    public List<Connector> getConnector()

  Specified by:
    `getConnector` in interface `Status`

### addConnector

    public void addConnector(Connector conn)

  Specified by:
    `addConnector` in interface `Status`

### setConnectorPrefix

    public void setConnectorPrefix(String prefix)

  Specified by:
    `setConnectorPrefix` in interface `Status`

### getConnectorPrefix

    public String getConnectorPrefix()

  Specified by:
    `getConnectorPrefix` in interface `Status`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.